# site specific customizations for FRE scripts

setenv GFORGEUSER
setenv GFDLUSER
setenv FREROOT
if ( ! -d $FREROOT ) then
  echo ERROR: FREROOT is not a directory: $FREROOT
  exit 2
endif

#add paths
set path = ( $FREROOT/bin $path )

# FRELIBS should contain $FREROOT/lib and anything else it depends upon
# that is not in the standard perl search path for this site

setenv LD_LIBRARY_PATH /autofs/na1_home/alangenh/local/lib:${LD_LIBRARY_PATH}
setenv FRELIBS /autofs/na1_home/alangenh/local/lib/perl5:/autofs/na1_home/alangenh/local/lib/perl5/5.8.3:/autofs/na1_home/alangenh/local/lib/perl5/5.8.8:/autofs/na1_home/alangenh/local/lib/perl5/site_perl:$FREROOT/lib

#setenv FRELIBS /opt/moab/5.2.4-s11143/lib/perl5:/opt/moab/5.2.4-s11143/lib/perl5/x86_64-linux-thread-multi:$FREROOT/lib

if ( $?PERL5LIB ) then
   setenv PERL5LIB ${FRELIBS}:$PERL5LIB
else
   setenv PERL5LIB $FRELIBS
endif


#CVS-related variables
setenv CVSROOT :ext:$GFORGEUSER@fms.gfdl.noaa.gov:/cvsroot/fms
setenv FRE_CVSROOT $CVSROOT
setenv CVSVERS $FREROOT/bin/versions

#compilation related variables
setenv JOB_OUTPUT_DIR $FREROOT/stdout
if ( ! -d $JOB_OUTPUT_DIR ) mkdir $JOB_OUTPUT_DIR
setenv BATCH_COMPILE "qsub -q debug -l size=8,walltime=00:30:00 -A CLI026 -o $JOB_OUTPUT_DIR -j oe -m abe"
setenv MKMF $FREROOT/bin/mkmf
#setenv INCLUDE /usr/local/include
setenv LISTPATHS $FREROOT/bin/list_paths
