#
# fre.cshrc.hpcs
# ------------------------------------------------------------------------------
# site specific customizations for FRE scripts
# this is for GFDL FMS
#

# check if you are on the HPCS... is this a definitive test?
# if( ! $?_GFDL_TMPDIR )exec echo "$0 must be run on the HPCS."

setenv FREROOT $HOME/fre
if ( ! -d $FREROOT ) then
  echo ERROR: FREROOT is not a directory: $FREROOT
  exit 2
endif

#add paths
set path = ( $FREROOT/bin $path )
if ( $?PERL5LIB ) then
   setenv PERL5LIB $FREROOT/lib:$PERL5LIB
else if ( $?PERLLIB ) then
   setenv PERLLIB $FREROOT/lib:$PERLLIB
else
   setenv PERL5LIB $FREROOT/lib
endif

#CVS-related variables
setenv CVSROOT /home/fms/cvs
setenv CVSVERS $FREROOT/bin/versions

#compilation related variables
setenv MKMF $FREROOT/bin/mkmf
#setenv INCLUDE /usr/local/include
setenv LISTPATHS $FREROOT/bin/list_paths

#make FMS and FRE modules available
if ( `uname -m` == 'ia64') then
   source /opt/modules/default/init/tcsh
   module use -a /home/fms/local/modulefiles/ia64
else if ( `uname -m` == 'i686') then
   source /usr/local/Modules/default/init/tcsh
   module use -a /home/fms/local/modulefiles/i686
else
   WARNING: Module loads not supported on this platform
endif

