# commands: these are all the external dependencies
# (some of these could have further dependencies within them...)
# should come from FRE *site* configuration
FREROOT := $(HOME)/fre

# start with := so that commands is not recursively expanded
commands :=
#timer
TIMER := /usr/bin/time -f
# commands += $(firstword $(TIMER))
# remote copy
# REMOTEHOST =
# REMOTECP := cxfscp -dpr $(verbose)  #/usr/cluster/bin/cxfscp
# commands += $(firstword $(REMOTECP))
# retrieve from deep storage on remote host
DMGET := dmget #/home/gfdl/bin/dmget
commands += $(firstword $(DMGET))
# fast copy
# CLUSTERCP := cxfscp -dpr $(verbose)  #/usr/cluster/bin/cxfscp
# commands += $(firstword $(CLUSTERCP))
# copy
# CP := cp $(verbose) #/bin/cp
# commands += $(firstword $(CP))
# rm
# RM := rm -f $(verbose) #/bin/rm
# commands += $(firstword $(RM))
# use localcp on same filesystem
LOCALCP := ln -f $(verbose) #/bin/ln
commands += $(firstword $(LOCALCP))
#mkdir
MKDIR := mkdir -p
commands += $(firstword $(MKDIR))
#checksum file
CHECKSUM := md5sum
commands += $(firstword $(CHECKSUM))
#cpio
CPIO := /usr/local/bin/cpio $(verbose)
commands += $(firstword $(CPIO))
#tar
TAR := tar $(verbose)
commands += $(firstword $(TAR))

# FMS/FRE scripts and programs: rationalize to single bin directory
# that can be inherited

#regrid
FREGRID = /home/z1l/bin/tools/fregrid --interp_method 'conserve_order2' --nlon $(NLON) --nlat $(NLAT)
commands += $(firstword $(FREGRID))
#FMSBIN := /home/fms/local/ia64/v10
# list netcdf vars
NCVARS := /home/vb/fms/postprocessing/split_ncvars/list_ncvars.csh
commands += $(firstword $(NCVARS))
# split nc vars
NCSPLIT := /home/vb/fms/postprocessing/split_ncvars/split_ncvars.csh
commands += $(firstword $(NCSPLIT))
# time average
TIMAVG := $(FREROOT)/bin/timavg.csh -mb
commands += $(firstword $(TIMAVG))
# convert to standard levels
PLEVEL := $(FREROOT)/bin/plevel.sh
commands += $(firstword $(PLEVEL))
#splitmonths
SPLITMONTH := $(FREROOT)/bin/split_into_months.csh
commands += $(firstword $(SPLITMONTH))
#HSM
HSMGET = $(FREROOT)/bin/hsmget -a $(ARCHROOT) -p $(PTMPROOT) -w $(WORKROOT) $(verbose)
commands += $(firstword $(HSMGET))
HSMPUT = $(FREROOT)/bin/hsmput -a $(ARCHROOT) -p $(PTMPROOT) -w $(WORKROOT) $(verbose)
commands += $(firstword $(HSMPUT))
#container
CONTAINER := $(FREROOT)/bin/container.csh
commands += $(firstword $(CONTAINER))
#list_months
LIST_MONTHS := $(FREROOT)/bin/list_months.csh
commands += $(firstword $(LIST_MONTHS))

#NCO utilities: get bin directory from modules in the script that calls make
#NCOBIN := /usr/local/nco-3.9.4/bin
# the -h means do not append to the history attribute
NCRCAT := ncrcat --64bit -h -O #/usr/local/bin/ncrcat
commands += $(firstword $(NCRCAT))
NCRENAME := ncrename -h
commands += $(firstword $(NCRENAME))
NCATTED := ncatted -h
commands += $(firstword $(NCATTED))
